﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEDETAIL') 
 CREATE TABLE T_BDTAXR_CHANGEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FXBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FXBIZTIME DATETIME,
FXCREATORID BIGINT DEFAULT 0 NOT NULL,
FXREASON NVARCHAR(600) DEFAULT ' ' NOT NULL,
FCURRENTPAGENUM0 BIGINT DEFAULT 0 NOT NULL,
FCURRENTPAGENUM1 BIGINT DEFAULT 0 NOT NULL,
FCURRENTPAGENUM2 BIGINT DEFAULT 0 NOT NULL,
FCURRENTPAGENUM3 BIGINT DEFAULT 0 NOT NULL,
FCURRENTPAGENUM4 BIGINT DEFAULT 0 NOT NULL,
FCURRENTPAGENUM5 BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLSUBVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCRDHEADJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCRDHEADJSON_TAG NCLOB,
FCRDENTRYJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCRDENTRYJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEMODEL') 
 CREATE TABLE T_BDTAXR_CHANGEMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID VARCHAR(36) DEFAULT ' ' NOT NULL,
FXBILLID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPLUGINNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FAREACONDITIONDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAREACONDITIONJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAREACONDITIONJSON_TAG NCLOB,
FCUSTOMPARAMETER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCUSTOMPARAMETER_TAG NCLOB,
FVALIDOPTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEMODEL_L') 
 CREATE TABLE T_BDTAXR_CHANGEMODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAREACONDITIONDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEMODELFE') 
 CREATE TABLE T_BDTAXR_CHANGEMODELFE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTARGETFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGETFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLEARSOURCEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVERTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDFORMULA NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFIELDFORMULADESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDRAWFILTER CHAR(1) DEFAULT '0' NOT NULL,
FDRAWAGAINFILTER CHAR(1) DEFAULT '0' NOT NULL,
FCANDISPLAY CHAR(1) DEFAULT '0' NOT NULL,
FCANENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCANWRITEBACK CHAR(1) DEFAULT '0' NOT NULL,
FCANLOG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEMODELPE') 
 CREATE TABLE T_BDTAXR_CHANGEMODELPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPLUGINENABLE CHAR(1) DEFAULT '0' NOT NULL,
FPLUGINTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLASSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLUGINJSON NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGEMODELVE') 
 CREATE TABLE T_BDTAXR_CHANGEMODELVE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALIDCONDITIONJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDCONDITIONJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_CHANGERESUME') 
 CREATE TABLE T_BDTAXR_CHANGERESUME (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLJSON_TAG NCLOB,
FSRCBILLVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLSUBVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FXBIZTIME DATETIME,
FXREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FXCREATORID BIGINT DEFAULT 0 NOT NULL,
FCURRENTCHANGENUMBER BIGINT DEFAULT 0 NOT NULL,
FCHANGEMODELID BIGINT DEFAULT 0 NOT NULL,
FXVALIDSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FXVALIDERID BIGINT DEFAULT 0 NOT NULL,
FXVALIDDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
